List Preloaded Conda Environments for OML4Py

get

/py-scripts/v2/preload/conda

Retrieves the name, created timestamp, expires timestamp and elapsed time (how long it's been up running) of the preloaded Conda environments created by the current user.

Request

There are no request parameters for this operation.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

List of preloaded Conda environments for OML4Py.
Body ()
Root Schema : JSONObject
Type: object
Show Source

500 Response

Problem connecting to Broker, executing job or other unexpected error.
Body ()
Root Schema : ComputeContainerException
Type: object
Show Source
Back to Top

Examples

The following example retrieves all preloaded Conda environments associated with the authenticated user.

curl -i -k -X GET \
  --header "Authorization: Bearer ${token}" \
  --header "Accept: application/json" \
  "<oml-cloud-service-location-url>/oml/api/py-scripts/v2/preload/conda"

Response Body

The response contains a list of preloaded Conda environments and associated metadata, including the environment name, creation timestamp, expiration timestamp, and runtime duration.

{
  "environments": [
    {
      "duration": "0 hrs, 27 mins, 38 secs",
      "expires": "Jul 31, 2025 02:37:19 UTC",
      "created": "Jul 31, 2025 01:37:19 UTC",
      "envName": "seaborn_env"
    },
    {
      "duration": "0 hrs, 0 mins, 48 secs",
      "expires": "Jul 31, 2025 03:04:09 UTC",
      "created": "Jul 31, 2025 02:04:09 UTC",
      "envName": "tf_env"
    }
  ]
}
Back to Top